package Zemanta::Product;

use warnings;
use strict;

use MT::Log;

sub new {
	my $class = shift;

	my $product = {};
	bless $product, $class;

	return $product;
}

sub log_error {
	my $product = shift;
	my ($msg, $level) = @_;
	chomp($msg);

	my $log = MT::Log->new();
	$log->message( $msg );
	$log->level( $level or 4 );
	$log->save or die $log->errstr;
}

sub set_automatic_apikey {
}

sub load_config {
}

sub reset_config {
}

1;
